Skip to content

upsertCustomerBankAccount

WRITE

Upsert customer bank account.

POST /api/v1/sales/upsertCustomerBankAccount
curl -X POST '<your-host>/api/v1/sales/upsertCustomerBankAccount' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "name": "string",
    "bankName": "string",
    "bankAddress": "string",
    "countryCode": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min length 1
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "accountHolderName": {
      "type": "string"
    },
    "bankName": {
      "type": "string",
      "minLength": 1
    },
    "bankAddress": {
      "type": "string",
      "minLength": 1
    },
    "countryCode": {
      "type": "string",
      "minLength": 1
    },
    "currencyCode": {
      "type": "string"
    },
    "accountNumber": {
      "type": "string"
    },
    "bankCode": {
      "type": "string"
    },
    "swiftBic": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "customerId",
    "name",
    "bankName",
    "bankAddress",
    "countryCode",
    "_operation"
  ]
}